# std::_Rb_tree_node< _Val > Struct Template Reference

Inheritance diagram for std::_Rb_tree_node< _Val >:

List of all members.

## Detailed Description

### template<typename _Val>
struct std::_Rb_tree_node< _Val >

Definition at line 133 of file stl_tree.h.

## Public Types

- typedef _Rb_tree_node_base * _Base_ptr
- typedef const _Rb_tree_node_base * _Const_Base_ptr
- typedef _Rb_tree_node< _Val > * _Link_type

## Static Public Member Functions

- static _Const_Base_ptr _S_maximum (_Const_Base_ptr __x)
- static _Base_ptr _S_maximum (_Base_ptr __x)
- static _Const_Base_ptr _S_minimum (_Const_Base_ptr __x)
- static _Base_ptr _S_minimum (_Base_ptr __x)

## Public Attributes

- _Rb_tree_color _M_color
- _Base_ptr _M_left
- _Base_ptr _M_parent
- _Base_ptr _M_right
- _Val _M_value_field

The documentation for this struct was generated from the following file:

- stl_tree.h